jlec        15/02/20 08:42:56

  Modified:             texmacs-1.99.2.ebuild texmacs-1.99.1.ebuild
                        texmacs-1.0.7.21.ebuild ChangeLog
  Added:                texmacs-1.99.2-r1.ebuild
  Removed:              texmacs-1.0.7.2-r1.ebuild
  Log:
  Bump to EAPI=5, drop rpath due to security implications, fix desktop file, do 
not double install desktop files, fix underlinking, #540600; drop old fixes 
#464228 and #486908
  
  (Portage version: 2.2.17/cvs/Linux x86_64, signed Manifest commit with key 
B9D4F231BD1558AB!)

Revision  Changes    Path
1.2                  app-office/texmacs/texmacs-1.99.2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.2.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.2.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.2.ebuild?r1=1.1&r2=1.2

Index: texmacs-1.99.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.99.2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- texmacs-1.99.2.ebuild       20 Oct 2014 14:49:18 -0000      1.1
+++ texmacs-1.99.2.ebuild       20 Feb 2015 08:42:56 -0000      1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.99.2.ebuild,v 
1.1 2014/10/20 14:49:18 grozin Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.99.2.ebuild,v 
1.2 2015/02/20 08:42:56 jlec Exp $
 
 EAPI=4
 
@@ -17,18 +17,20 @@
 IUSE="imlib jpeg netpbm pdf qt4 svg spell"
 KEYWORDS="~alpha ~amd64 ~ppc ~x86 ~x86-interix ~amd64-linux ~x86-linux"
 
-RDEPEND="dev-scheme/guile[deprecated]
-       virtual/latex-base
+RDEPEND="
        app-text/ghostscript-gpl
+       dev-scheme/guile:12[deprecated]
        media-libs/freetype
-       x11-libs/libXext
        x11-apps/xmodmap
-       qt4? ( dev-qt/qtgui:4 )
+       x11-libs/libXext
+       virtual/latex-base
        imlib? ( media-libs/imlib2 )
        jpeg? ( || ( media-gfx/imagemagick media-gfx/jpeg2ps ) )
-       svg? ( || ( media-gfx/inkscape gnome-base/librsvg:2 ) )
        netpbm? ( media-libs/netpbm )
-       spell? ( app-text/aspell )"
+       qt4? ( dev-qt/qtgui:4 )
+       spell? ( app-text/aspell )
+       svg? ( || ( media-gfx/inkscape gnome-base/librsvg:2 ) )
+"
 DEPEND="${RDEPEND}
        x11-proto/xproto"
 



1.4                  app-office/texmacs/texmacs-1.99.1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.1.ebuild?rev=1.4&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.1.ebuild?rev=1.4&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.1.ebuild?r1=1.3&r2=1.4

Index: texmacs-1.99.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.99.1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- texmacs-1.99.1.ebuild       11 Oct 2014 13:34:53 -0000      1.3
+++ texmacs-1.99.1.ebuild       20 Feb 2015 08:42:56 -0000      1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.99.1.ebuild,v 
1.3 2014/10/11 13:34:53 klausman Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.99.1.ebuild,v 
1.4 2015/02/20 08:42:56 jlec Exp $
 
 EAPI=4
 
@@ -17,18 +17,20 @@
 IUSE="imlib jpeg netpbm pdf qt4 svg spell"
 KEYWORDS="alpha ~amd64 ~ppc ~x86 ~x86-interix ~amd64-linux ~x86-linux"
 
-RDEPEND="dev-scheme/guile[deprecated]
-       virtual/latex-base
+RDEPEND="
        app-text/ghostscript-gpl
+       dev-scheme/guile:12[deprecated]
        media-libs/freetype
-       x11-libs/libXext
        x11-apps/xmodmap
-       qt4? ( dev-qt/qtgui:4 )
+       x11-libs/libXext
+       virtual/latex-base
        imlib? ( media-libs/imlib2 )
        jpeg? ( || ( media-gfx/imagemagick media-gfx/jpeg2ps ) )
-       svg? ( || ( media-gfx/inkscape gnome-base/librsvg:2 ) )
        netpbm? ( media-libs/netpbm )
-       spell? ( app-text/aspell )"
+       qt4? ( dev-qt/qtgui:4 )
+       spell? ( app-text/aspell )
+       svg? ( || ( media-gfx/inkscape gnome-base/librsvg:2 ) )
+"
 DEPEND="${RDEPEND}
        x11-proto/xproto"
 



1.7                  app-office/texmacs/texmacs-1.0.7.21.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.0.7.21.ebuild?rev=1.7&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.0.7.21.ebuild?rev=1.7&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.0.7.21.ebuild?r1=1.6&r2=1.7

Index: texmacs-1.0.7.21.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.0.7.21.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- texmacs-1.0.7.21.ebuild     10 Aug 2014 17:35:02 -0000      1.6
+++ texmacs-1.0.7.21.ebuild     20 Feb 2015 08:42:56 -0000      1.7
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.0.7.21.ebuild,v 1.6 
2014/08/10 17:35:02 ago Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.0.7.21.ebuild,v 1.7 
2015/02/20 08:42:56 jlec Exp $
 
 EAPI=5
 
@@ -19,7 +19,7 @@
 
 RDEPEND="
        app-text/ghostscript-gpl
-       dev-scheme/guile[deprecated]
+       dev-scheme/guile:12[deprecated]
        media-libs/freetype
        x11-apps/xmodmap
        x11-libs/libXext



1.120                app-office/texmacs/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/ChangeLog?rev=1.120&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/ChangeLog?rev=1.120&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/ChangeLog?r1=1.119&r2=1.120

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/texmacs/ChangeLog,v
retrieving revision 1.119
retrieving revision 1.120
diff -u -r1.119 -r1.120
--- ChangeLog   20 Oct 2014 14:49:18 -0000      1.119
+++ ChangeLog   20 Feb 2015 08:42:56 -0000      1.120
@@ -1,6 +1,17 @@
 # ChangeLog for app-office/texmacs
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/texmacs/ChangeLog,v 1.119 
2014/10/20 14:49:18 grozin Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/texmacs/ChangeLog,v 1.120 
2015/02/20 08:42:56 jlec Exp $
+
+*texmacs-1.99.2-r1 (20 Feb 2015)
+
+  20 Feb 2015; Justin Lecher <[email protected]>
+  +files/texmacs-1.99.2-desktop.patch, +files/texmacs-1.99.2-norpath.patch,
+  +files/texmacs-1.99.2-underlinking.patch, +texmacs-1.99.2-r1.ebuild,
+  -texmacs-1.0.7.2-r1.ebuild, texmacs-1.0.7.21.ebuild, texmacs-1.99.1.ebuild,
+  texmacs-1.99.2.ebuild:
+  Bump to EAPI=5, drop rpath due to security implications, fix desktop file, do
+  not double install desktop files, fix underlinking, #540600; drop old fixes
+  #464228 and #486908
 
 *texmacs-1.99.2 (20 Oct 2014)
 



1.1                  app-office/texmacs/texmacs-1.99.2-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.2-r1.ebuild?rev=1.1&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/texmacs/texmacs-1.99.2-r1.ebuild?rev=1.1&content-type=text/plain

Index: texmacs-1.99.2-r1.ebuild
===================================================================
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: 
/var/cvsroot/gentoo-x86/app-office/texmacs/texmacs-1.99.2-r1.ebuild,v 1.1 
2015/02/20 08:42:56 jlec Exp $

EAPI=5

inherit autotools eutils fdo-mime gnome2-utils

MY_P=${P/tex/TeX}-src

DESCRIPTION="Wysiwyg text processor with high-quality maths"
HOMEPAGE="http://www.texmacs.org/";
SRC_URI="ftp://ftp.texmacs.org/pub/TeXmacs/tmftp/source/${MY_P}.tar.gz";

LICENSE="GPL-3"
SLOT="0"
IUSE="imlib jpeg netpbm pdf qt4 svg spell"
KEYWORDS="~alpha ~amd64 ~ppc ~x86 ~x86-interix ~amd64-linux ~x86-linux"

RDEPEND="
        app-text/ghostscript-gpl
        dev-scheme/guile:12[deprecated]
        media-libs/freetype
        x11-apps/xmodmap
        x11-libs/libXext
        virtual/latex-base
        imlib? ( media-libs/imlib2 )
        jpeg? ( || ( media-gfx/imagemagick media-gfx/jpeg2ps ) )
        netpbm? ( media-libs/netpbm )
        qt4? ( dev-qt/qtgui:4 )
        spell? ( app-text/aspell )
        svg? ( || ( media-gfx/inkscape gnome-base/librsvg:2 ) )
"
DEPEND="${RDEPEND}
        x11-proto/xproto"

S="${WORKDIR}/${MY_P}"

PATCHES=(
        # respect LDFLAGS, bug #338459
        "${FILESDIR}"/${PN}-plugins-1.patch

        # dont update mime and desktop databases and icon cache
        "${FILESDIR}"/${PN}-updates.patch

        # underlinking 540600
        "${FILESDIR}"/${P}-underlinking.patch

        # scanelf: rpath_security_checks(): Security problem NULL DT_RUNPATH
        "${FILESDIR}"/${P}-norpath.patch

        "${FILESDIR}"/${P}-desktop.patch
)

src_prepare() {
        epatch ${PATCHES[@]}

        eautoreconf
}

src_configure() {
        econf \
                --enable-optimize="${CXXFLAGS}" \
                $(use_with imlib imlib2) \
                $(use_enable qt4 qt) \
                $(use_enable pdf pdf-renderer)
}

pkg_postinst() {
        fdo-mime_desktop_database_update
        fdo-mime_mime_database_update
        gnome2_icon_cache_update
}

pkg_postrm() {
        fdo-mime_desktop_database_update
        fdo-mime_mime_database_update
        gnome2_icon_cache_update
}




Reply via email to